Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans
Class ModPartitioner

    java.lang.Object
      org.pentaho.di.trans.BasePartitioner
          org.pentaho.di.trans.ModPartitioner

All Implemented Interfaces:
  Partitioner

    public class ModPartitioner

extends BasePartitioner

Constructor Summary
`ModPartitioner()`

Method Summary
`ModPartitioner` | `clone()`
`String` | `getDescription()`
`String` | `getDialogClassName()`
`String` | `getFieldName()`
`Partitioner` | `getInstance()`
`int` | `getPartition(org.pentaho.di.core.row.RowMetaInterface rowMeta, Object[] row)`
`String` | `getXML()`
`void` | `loadRep(Repository rep, long id_step)`
`void` | `loadXML(Node partitioningMethodNode)`
`void` | `saveRep(Repository rep, long id_transformation, long id_step)` Saves partitioning properties in the repository for the given step.
`void` | `setFieldName(String fieldName)`

Methods inherited from class org.pentaho.di.trans.BasePartitioner
`getId, getMeta, getNrPartitions, init, setDescription, setId, setMeta, setNrPartitions`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModPartitioner

    public ModPartitioner()

Method Detail

### getInstance

    public Partitioner getInstance()

  Specified by:
    `getInstance` in interface `Partitioner`
  Specified by:
    `getInstance` in class `BasePartitioner`

### clone

    public ModPartitioner clone()

  Specified by:
    `clone` in interface `Partitioner`
  Overrides:
    `clone` in class `BasePartitioner`

### getDialogClassName

    public String getDialogClassName()

### getPartition

    public int getPartition(org.pentaho.di.core.row.RowMetaInterface rowMeta,
                            Object[] row)
                     throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getDescription

    public String getDescription()

  Specified by:
    `getDescription` in interface `Partitioner`
  Overrides:
    `getDescription` in class `BasePartitioner`

### getXML

    public String getXML()

### loadXML

    public void loadXML(Node partitioningMethodNode)
                 throws org.pentaho.di.core.exception.KettleXMLException

  Throws:
    `org.pentaho.di.core.exception.KettleXMLException`

### saveRep

    public void saveRep(Repository rep,
                        long id_transformation,
                        long id_step)
                 throws org.pentaho.di.core.exception.KettleException

  Description copied from interface: `Partitioner`
  Saves partitioning properties in the repository for the given step.

  Parameters:
    `rep` - the repository to save in
    `id_transformation` - the ID of the transformation
    `id_step` - the ID of the step
  Throws:
    `org.pentaho.di.core.exception.KettleDatabaseException` - In case anything goes wrong
    `org.pentaho.di.core.exception.KettleException`

### loadRep

    public void loadRep(Repository rep,
                        long id_step)
                 throws org.pentaho.di.core.exception.KettleException

  Throws:
    `org.pentaho.di.core.exception.KettleException`

### getFieldName

    public String getFieldName()

### setFieldName

    public void setFieldName(String fieldName)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD